alter table jin_user add passwd_md5 varchar(32) not null after passwd;

alter table jin_role add priv_member_promote_sales varchar(50) not null default '' after priv_member_promote_campaigns;
alter table jin_role add priv_member_promote_dashboard varchar(50) not null default '' after priv_member_account_surveys;

create index aff_user_id on jin_package_hit(aff_user_id);

create table jin_paycomm_period
(
  id           int(11) not null primary key,

  date_start        datetime null,
  date_end          datetime null,
  next_period_days  int(3) not null default 0
);

update jin_role set priv_member_promote_sales=priv_member_promote_campaigns;
